<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Puppeteer](./puppeteer.puppeteer.md)

## Puppeteer class

The main Puppeteer class

<b>Signature:</b>

```typescript
export declare class Puppeteer 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(projectRoot, preferredRevision, isPuppeteerCore, productName)](./puppeteer.puppeteer._constructor_.md) |  | Constructs a new instance of the <code>Puppeteer</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_\_productName](./puppeteer.puppeteer.__productname.md) |  | string |  |
|  [\_changedProduct](./puppeteer.puppeteer._changedproduct.md) |  | boolean |  |
|  [\_isPuppeteerCore](./puppeteer.puppeteer._ispuppeteercore.md) |  | boolean |  |
|  [\_launcher](./puppeteer.puppeteer._launcher.md) |  | ProductLauncher |  |
|  [\_lazyLauncher](./puppeteer.puppeteer._lazylauncher.md) |  | ProductLauncher |  |
|  [\_preferredRevision](./puppeteer.puppeteer._preferredrevision.md) |  | string |  |
|  [\_productName](./puppeteer.puppeteer._productname.md) |  | string |  |
|  [\_projectRoot](./puppeteer.puppeteer._projectroot.md) |  | string |  |
|  [devices](./puppeteer.puppeteer.devices.md) |  | DevicesMap |  |
|  [errors](./puppeteer.puppeteer.errors.md) |  | [PuppeteerErrors](./puppeteer.puppeteererrors.md) |  |
|  [product](./puppeteer.puppeteer.product.md) |  | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [\_\_experimental\_clearQueryHandlers()](./puppeteer.puppeteer.__experimental_clearqueryhandlers.md) |  |  |
|  [\_\_experimental\_customQueryHandlers()](./puppeteer.puppeteer.__experimental_customqueryhandlers.md) |  |  |
|  [\_\_experimental\_registerCustomQueryHandler(name, queryHandler)](./puppeteer.puppeteer.__experimental_registercustomqueryhandler.md) |  |  |
|  [\_\_experimental\_unregisterCustomQueryHandler(name)](./puppeteer.puppeteer.__experimental_unregistercustomqueryhandler.md) |  |  |
|  [connect(options)](./puppeteer.puppeteer.connect.md) |  |  |
|  [createBrowserFetcher(options)](./puppeteer.puppeteer.createbrowserfetcher.md) |  |  |
|  [defaultArgs(options)](./puppeteer.puppeteer.defaultargs.md) |  |  |
|  [executablePath()](./puppeteer.puppeteer.executablepath.md) |  |  |
|  [launch(options)](./puppeteer.puppeteer.launch.md) |  |  |

